Bug 1473387 - hammer organization info is not showing locations field when no location assigned
hammer organization info is not showing locations field when no location assi...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations (Show other bugs)
6.3.0
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 12:38 EDT by Djebran Lezzoum
Modified: 2017-08-02 01:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Djebran Lezzoum 2017-07-20 12:38:22 EDT
Description of problem:
hammer organization info is not showing locations field when no location assigned

Version-Release number of selected component (if applicable):
* candlepin-2.0.37-1.el7.noarch
* candlepin-selinux-2.0.37-1.el7.noarch
* foreman-1.15.2-1.el7sat.noarch
* foreman-cli-1.15.2-1.el7sat.noarch
* foreman-compute-1.15.2-1.el7sat.noarch
* foreman-debug-1.15.2-1.el7sat.noarch
* foreman-discovery-image-3.1.1-22.el7sat.noarch
* foreman-ec2-1.15.2-1.el7sat.noarch
* foreman-gce-1.15.2-1.el7sat.noarch
* foreman-installer-1.15.2-1.el7sat.noarch
* foreman-installer-katello-3.4.1.3-1.el7sat.noarch
* foreman-libvirt-1.15.2-1.el7sat.noarch
* foreman-openstack-1.15.2-1.el7sat.noarch
* foreman-ovirt-1.15.2-1.el7sat.noarch
* foreman-postgresql-1.15.2-1.el7sat.noarch
* foreman-proxy-1.15.2-1.el7sat.noarch
* foreman-rackspace-1.15.2-1.el7sat.noarch
* foreman-selinux-1.15.2-1.el7sat.noarch
* foreman-vmware-1.15.2-1.el7sat.noarch
* katello-3.4.2-1.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-2.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.4.0-1.el7sat.noarch
* katello-common-3.4.2-1.el7sat.noarch
* katello-debug-3.4.2-1.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.4.1.3-1.el7sat.noarch
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.2-1.el7sat.noarch
* openldap-2.4.40-13.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-ostree-plugins-1.2.1-1.el7sat.noarch
* pulp-puppet-plugins-2.12.2-1.el7sat.noarch
* pulp-puppet-tools-2.12.2-1.el7sat.noarch
* pulp-rpm-plugins-2.12.2-2.el7sat.noarch
* pulp-selinux-2.12.2-2.el7sat.noarch
* pulp-server-2.12.2-2.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch


How reproducible:
Always

Steps to Reproduce:
1. create an org
>>> hammer organization create --name="test_org"  
<<< Organization created

2. request org info
>>> hammer organization info --name="test_org"

Actual results:
The locations field list should be shown just as domains, environments, hostgroups ... even if empty as:
<<< 
Id:                     75
Name:                   test_org
Description:            
Users:                  

Smart proxies:          
    [sat-host - hidden - as not important]
Subnets:                

Compute resources:      

Installation media:     

Templates:              
    [templates list - hidden too big to show here - as not important]

Domains:                

Environments:           

Hostgroups:             

Parameters:             

Created at:             2017/07/20 16:21:52
Updated at:             2017/07/20 16:21:52
Label:                  test_org
Description:            
Red Hat Repository URL: https://cdn.redhat.com
Service Levels:


Expected results:
Id:                     75
Name:                   test_org
Description:            
Users:                  

Smart proxies:          
    [sat-host - hidden - as not important]
Subnets:                

Compute resources:      

Installation media:     

Templates:              
    [templates list - hidden too big to show here - as not important]

Domains:                

Environments:           

Hostgroups:             

Parameters:             

Locations:

Created at:             2017/07/20 16:21:52
Updated at:             2017/07/20 16:21:52
Label:                  test_org
Description:            
Red Hat Repository URL: https://cdn.redhat.com
Service Levels:


Additional info:
when adding a location to organization the locations are shown properly
>>> hammer organization  add-location --name="test_org" --location-id="2"
<<< The location has been associated

>>> hammer organization info --name="test_org"
<<< Id:                     75
Name:                   test_org
Description:            
Users:                  

Smart proxies:          
    [sat-host - hidden - as not important]
Subnets:                

Compute resources:      

Installation media:     

Templates:              
    [templates list - hidden too big to show here - as not important]
Domains:                

Environments:           

Hostgroups:             

Parameters:             

Locations:              
    Default Location
Created at:             2017/07/20 16:21:52
Updated at:             2017/07/20 16:21:52
Label:                  test_org
Description:            
Red Hat Repository URL: https://cdn.redhat.com
Service Levels:


- removing the location with id 2, and the field is not shown again
Comment 2 Djebran Lezzoum 2017-07-20 12:50:51 EDT
please ignore text:
"The locations field list should be shown just as domains, environments, hostgroups ... even if empty as:
"
in Actual results:
Comment 4 Djebran Lezzoum 2017-07-26 05:33:43 EDT
Hi Brad,

No this is not a regression from previous release (6.2 has the same behavior)

Note You need to log in before you can comment on or make changes to this bug.